Broadcom 4306 (b43) Wireless can't connect to Access Points WEP/WPA/Unsecure.

Bug #495724 reported by lylepratt on 2009-12-12
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
b43-fwcutter (Ubuntu)
Medium
Unassigned
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: b43-fwcutter

Release: Ubuntu 9.10
Package: b43-fwcutter
Expected: Computer successfully connects to wireless access points that I can see.
What Actually Happened: ICAN SEE the access point. When I try to connect, the computer continually tries to connect to the access point. Doesn't matter if the access point is secured or unsecured. I've also tried all different types of security enabled on the access point.

DMESG PRINTS THIS OVER AND OVER AGAIN:
[ 2517.692353] wlan0: direct probe to AP 00:13:46:bf:af:2a try 1
[ 2517.892062] wlan0: direct probe to AP 00:13:46:bf:af:2a try 2
[ 2518.092089] wlan0: direct probe to AP 00:13:46:bf:af:2a try 3
[ 2518.292117] wlan0: direct probe to AP 00:13:46:bf:af:2a timed out

I have also tried using ndiswrapper. I have gotten this to SORT OF work, but with bad connection issues and no WPA support. I'd rather not have to use ndiswrapper because this computer is for a friend who does not know ANYTHING about linux or how to support it. I have seen a few bugs that are similar to this, and even commented on a few back when I was trying to get Hardy to work on this same laptop (same problem then too). I figured it was time for me to file my own bug so that this problem can actually get fixed this time.

Please let me know if I need to include additional information.

ProblemType: Bug
Architecture: i386
Date: Fri Dec 11 19:01:37 2009
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: b43-fwcutter 1:012-1
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
SourcePackage: b43-fwcutter
Uname: Linux 2.6.31-16-generic i686
XsessionErrors:
 (gnome-settings-daemon:1461): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (gnome-settings-daemon:1461): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:1563): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:1585): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

lylepratt (lylepratt) wrote :
Neil Perry (nperry) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately we can't start working on it yet, because your bug report didn't include enough information.

Please include the information requested at https://wiki.ubuntu.com/DebuggingNetworkManager. If you have trouble, do not hesitate to ask for more assistance. Thanks in advance.

affects: b43-fwcutter (Ubuntu) → network-manager (Ubuntu)
Changed in network-manager (Ubuntu):
status: New → Incomplete
summary: - Broadcom 4306 Wireless can't connect to Access Points with b43-fwcutter
+ Broadcom 4306( b43-fwcutter) Wireless can't connect to Access Points
+ with b43-fwcutter Broadcom 4306 Wireless cannot connect to
+ WEP/WPA/Unsecure.

I have attached a syslog as directed in the link you provided. I really doubt this is related to NetworkManager. As I said before, I can get wireless to connect using NDisWrapper, but NOT with the provided b43-fwcutter drivers. However, you guys know more than me about this so I'll just go along.

Please let me know if I need to provide any additional information.

Sorry, thought I read it also didn't work with ndiswrapper.

summary: Broadcom 4306( b43-fwcutter) Wireless can't connect to Access Points
- with b43-fwcutter Broadcom 4306 Wireless cannot connect to
WEP/WPA/Unsecure.
affects: network-manager (Ubuntu) → b43-fwcutter (Ubuntu)
Neil Perry (nperry) wrote :

Could you please attach the output files for these two commands;

 * lspci -vvnn > lspci
 * dmesg > dmesg

Once this has been attached we'll be happy to pass this onto the developers to look into.

Thanks

lylepratt (lylepratt) wrote :

This is a Broadcom 4306 revision 3 card. (I didn't include the revision in the original post)

Neil Perry (nperry) wrote :

Could you please post both of these files as they are required for the developers.

Thanks

lylepratt (lylepratt) wrote :

Sorry had posted that before I saw your instructions. Attached are the two files you requested.

lylepratt (lylepratt) wrote :
C de-Avillez (hggdh2) on 2009-12-12
Changed in b43-fwcutter (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
Przemek K. (azrael) on 2010-01-18
tags: added: broadcom
removed: 4306 b43-fwcutter broadcome4306 i386
Changed in linux (Ubuntu):
status: New → Incomplete
Changed in b43-fwcutter (Ubuntu):
status: Triaged → Invalid
summary: - Broadcom 4306( b43-fwcutter) Wireless can't connect to Access Points
+ Broadcom 4306 (b43) Wireless can't connect to Access Points
WEP/WPA/Unsecure.
Przemek K. (azrael) wrote :

Not a b43-fwcutter bug. If you want to report bugs against b43 driver please use the linux package.

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers